<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:46 AST 2017 -->
<title>Uses of Class Exceptions.EmptyStructureException</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class Exceptions.EmptyStructureException";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?Exceptions/class-use/EmptyStructureException.html" target="_top">Frames</a></li>
<li><a href="EmptyStructureException.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class Exceptions.EmptyStructureException" class="title">Uses of Class<br>Exceptions.EmptyStructureException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#Interface">Interface</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#Queue">Queue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#Stack">Stack</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="Interface">
<!--   -->
</a>
<h3>Uses of <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a> in <a href="../../Interface/package-summary.html">Interface</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../Interface/package-summary.html">Interface</a> that throw <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Interface/Deque.html" title="type parameter in Deque">E</a></code></td>
<td class="colLast"><span class="strong">Deque.</span><code><strong><a href="../../Interface/Deque.html#firstElement()">firstElement</a></strong>()</code>
<div class="block">Returns First element of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Interface/Deque.html" title="type parameter in Deque">E</a></code></td>
<td class="colLast"><span class="strong">Deque.</span><code><strong><a href="../../Interface/Deque.html#lastElement()">lastElement</a></strong>()</code>
<div class="block">Returns last element of deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Interface/Deque.html" title="type parameter in Deque">E</a></code></td>
<td class="colLast"><span class="strong">Deque.</span><code><strong><a href="../../Interface/Deque.html#removeFirst()">removeFirst</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Interface/Deque.html" title="type parameter in Deque">E</a></code></td>
<td class="colLast"><span class="strong">Deque.</span><code><strong><a href="../../Interface/Deque.html#removeLast()">removeLast</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="Queue">
<!--   -->
</a>
<h3>Uses of <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a> in <a href="../../Queue/package-summary.html">Queue</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../Queue/package-summary.html">Queue</a> that throw <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Queue/LinkedListDeque.html" title="type parameter in LinkedListDeque">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListDeque.</span><code><strong><a href="../../Queue/LinkedListDeque.html#firstElement()">firstElement</a></strong>()</code>
<div class="block">Returns First element of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Queue/ArrayDeque.html" title="type parameter in ArrayDeque">E</a></code></td>
<td class="colLast"><span class="strong">ArrayDeque.</span><code><strong><a href="../../Queue/ArrayDeque.html#firstElement()">firstElement</a></strong>()</code>
<div class="block">Returns First element of deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Queue/LinkedListDeque.html" title="type parameter in LinkedListDeque">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListDeque.</span><code><strong><a href="../../Queue/LinkedListDeque.html#lastElement()">lastElement</a></strong>()</code>
<div class="block">Returns last element of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Queue/ArrayDeque.html" title="type parameter in ArrayDeque">E</a></code></td>
<td class="colLast"><span class="strong">ArrayDeque.</span><code><strong><a href="../../Queue/ArrayDeque.html#lastElement()">lastElement</a></strong>()</code>
<div class="block">Returns last element of deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Queue/LinkedListDeque.html" title="type parameter in LinkedListDeque">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListDeque.</span><code><strong><a href="../../Queue/LinkedListDeque.html#removeFirst()">removeFirst</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Queue/ArrayDeque.html" title="type parameter in ArrayDeque">E</a></code></td>
<td class="colLast"><span class="strong">ArrayDeque.</span><code><strong><a href="../../Queue/ArrayDeque.html#removeFirst()">removeFirst</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Queue/LinkedListDeque.html" title="type parameter in LinkedListDeque">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListDeque.</span><code><strong><a href="../../Queue/LinkedListDeque.html#removeLast()">removeLast</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Queue/ArrayDeque.html" title="type parameter in ArrayDeque">E</a></code></td>
<td class="colLast"><span class="strong">ArrayDeque.</span><code><strong><a href="../../Queue/ArrayDeque.html#removeLast()">removeLast</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="Stack">
<!--   -->
</a>
<h3>Uses of <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a> in <a href="../../Stack/package-summary.html">Stack</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../Stack/package-summary.html">Stack</a> that throw <a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">EmptyStructureException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Stack/LinkedListStack.html" title="type parameter in LinkedListStack">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListStack.</span><code><strong><a href="../../Stack/LinkedListStack.html#firstElement()">firstElement</a></strong>()</code>
<div class="block">Returns First element of stack</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Stack/ArrayStack.html" title="type parameter in ArrayStack">E</a></code></td>
<td class="colLast"><span class="strong">ArrayStack.</span><code><strong><a href="../../Stack/ArrayStack.html#firstElement()">firstElement</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Stack/LinkedListStack.html" title="type parameter in LinkedListStack">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListStack.</span><code><strong><a href="../../Stack/LinkedListStack.html#lastElement()">lastElement</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Stack/ArrayStack.html" title="type parameter in ArrayStack">E</a></code></td>
<td class="colLast"><span class="strong">ArrayStack.</span><code><strong><a href="../../Stack/ArrayStack.html#lastElement()">lastElement</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Stack/LinkedListStack.html" title="type parameter in LinkedListStack">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListStack.</span><code><strong><a href="../../Stack/LinkedListStack.html#removeFirst()">removeFirst</a></strong>()</code>
<div class="block">Remove an element from front of stack</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Stack/ArrayStack.html" title="type parameter in ArrayStack">E</a></code></td>
<td class="colLast"><span class="strong">ArrayStack.</span><code><strong><a href="../../Stack/ArrayStack.html#removeFirst()">removeFirst</a></strong>()</code>
<div class="block">Remove an element from front of stack - POP Operation
 The first index of an array is the mouth of a stack</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Stack/LinkedListStack.html" title="type parameter in LinkedListStack">E</a></code></td>
<td class="colLast"><span class="strong">LinkedListStack.</span><code><strong><a href="../../Stack/LinkedListStack.html#removeLast()">removeLast</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Stack/ArrayStack.html" title="type parameter in ArrayStack">E</a></code></td>
<td class="colLast"><span class="strong">ArrayStack.</span><code><strong><a href="../../Stack/ArrayStack.html#removeLast()">removeLast</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../Exceptions/EmptyStructureException.html" title="class in Exceptions">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?Exceptions/class-use/EmptyStructureException.html" target="_top">Frames</a></li>
<li><a href="EmptyStructureException.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
